
import java.util.*;

/**
    This class encapsulates the data from a temperature reading.
    The details of how a temperature is stored are hidden from the
    user of objects created from this class. The public interface of
    this class requires that the scale of a temperature must always
    be specified. This provides a safe way to store and retrieve
    temperature values.

    @author Roger Kraft
    @version 6C
*/

/*
   This class is a subclass of TemperatureReading6.

   This class lets you instantiate temperature reading
   objects using the Celsius scale.
*/
public class TemperatureReading6C extends TemperatureReading6
{
   /**
      The default constructor.
   */
   public TemperatureReading6C()
   {
      super();
   }


   /**
      A constructor that specifies the scale for the temperature.

      @param degreesC   the temperature in degrees Celsius
      @param latitude   the latitude of the reading
      @param longitude  the longitude of the reading
   */
   public TemperatureReading6C(double degreesC,
                               double latitude,
                               double longitude)
   {
      super(degreesC + 273, latitude, longitude);  // convert Celsius to Kelvin
   }
}
