
import java.util.*;

/**
    This class encapsulates the data from a temperature reading.
    The details of how a temperature is stored are hidden from the
    user of objects created from this class. The public interface of
    this class requires that the scale of a temperature must always
    be specified. This provides a safe way to store and retrieve
    temperature values.

    @author Roger Kraft
    @version 6F
*/

/*
   This class is a subclass of TemperatureReading6.

   This class lets you instantiate temperature reading
   objects using the Fahrenheit scale.
*/
public class TemperatureReading6F extends TemperatureReading6
{
   /**
      The default constructor.
   */
   public TemperatureReading6F()
   {
      super();
   }


   /**
      A constructor that specifies the scale for the temperature.

      @param degreesF   the temperature in degrees Fahrenheit
      @param latitude   the latitude of the reading
      @param longitude  the longitude of the reading
   */
   public TemperatureReading6F(double degreesF,
                               double latitude,
                               double longitude)
   {
      super((degreesF - 32)/1.8 + 273, latitude, longitude);  // convert from Fahrenheit to Kelvin
   }
}
