/**
    This program shows how an "array of objects" differs
    from an "array of primitives" (like and array of ints).

    This program create a one-dimensional and a two-dimensional
    array of Color objects.

    An array of objects never holds the objects themselves. It
    will always hold references to the objects, and the objects
    are "outside" of the array. So an "array of objects" really
    means an "array of reference variables".

    Be sure to draw memory maps for the arrays constructed below.
*/
import java.awt.Color;

public class ArrayOfObjects
{
   public static void main(String[] args)
   {
      // Create a one-dimensional array of Color objects.
      Color[] myArray1 = {new Color(12, 21,  0), new Color( 0, 12, 21),
                          new Color(12,  0, 21), new Color(12, 21,  0)};

      // Here are all the steps that the above line does.
      Color[] myArray2;        // a reference to an array of Color
      myArray2 = new Color[4]; // an array of 4 Color references
      // Now create the objects for the array of objects.
      myArray2[0] = new Color(12, 21,  0);
      myArray2[1] = new Color( 0, 12, 21);
      myArray2[2] = new Color(12,  0, 21);
      myArray2[3] = myArray2[0]; // reuse one of the previous elements


      // Create a two-dimensional array of Color objects.
      Color[][] myArray3 = {{new Color(56, 65,  0), new Color( 0, 56, 65)},
                            {new Color(56,  0, 65), new Color( 0, 56, 65)},
                            {new Color(56, 65,  0), new Color( 0, 56, 65)}};

      // Create a two-dimensional array of Color objects step-by-step.
      Color[][] myArray4 = new Color[3][2]; // an array of 6 Color references
      // Now create the objects for the array of objects.
      myArray4[0][0] = new Color(56, 65,  0);
      myArray4[0][1] = new Color( 0, 56, 65);
      myArray4[1][0] = new Color(56,  0, 65);
      myArray4[1][1] = myArray4[0][1]; // reuse one of the previous elements
      myArray4[2]    = myArray4[0];    // reuse one of the previous rows
   }
}
