/**
   This class defines an implementation of the abstract Hat class.

   Notice that this implementation of the abstract Hat class uses
   three data fields, one for each of the attributes of a HatA object.
*/

public class HatA extends Hat
{
   // three instance fields
   private int size;
   private int style;
   private int color;

   // default constructor
   public HatA()
   {
      this(MEDIUM, BASEBALL, WHITE);
   }

   // a full constructor
   public HatA(int size, int style, int color)
   {
      this.size = size;
      this.style = style;
      this.color = color;
   }

   @Override
   public void setSize(int size)
   {
      this.size = size;
   }

   @Override
   public void setStyle(int style)
   {
      this.style = style;
   }

   @Override
   public void setColor(int color)
   {
      this.color = color;
   }

   @Override
   public int getSize()
   {
      return size;
   }

   @Override
   public int getStyle()
   {
      return style;
   }

   @Override
   public int getColor()
   {
      return color;
   }
}
