/*
   This class defines an implementation of the AbstractGlove class.

   This implementation of AbstractGlove uses three data fields,
   one for each of the three attributes of a Glove object.
*/

public class Glove extends AbstractGlove
{
   // three instance fields
   private int size;
   private int style;
   private int color;

   // default constructor
   public Glove()
   {
      this(0, 0, MEDIUM, WOMEN, BLACK);
   }

   // a full constructor
   public Glove(int quantity, double price, int size, int style, int color)
   {
      super(quantity, price);
      this.size = size;
      this.style = style;
      this.color = color;
   }

   public void setSize(int size)
   {
      this.size = size;
   }

   public void setStyle(int style)
   {
      this.style = style;
   }

   public void setColor(int color)
   {
      this.color = color;
   }

   public int getSize()
   {
      return size;
   }

   public int getStyle()
   {
      return style;
   }

   public int getColor()
   {
      return color;
   }
}
