/*
   This class defines an extension of OrderItem that
   implements the HatInterface.
*/

public class HatA extends OrderItem implements HatInterface
{
   // three instance fileds
   private int size;
   private int style;
   private int color;

   // default constructor
   public HatA()
   {
      this(0, 0, MEDIUM, BASEBALL, WHITE);
   }

   // a full constructor
   public HatA(int quantity, double price, int size, int style, int color)
   {
      super(quantity, price);
      this.size = size;
      this.style = style;
      this.color = color;
   }

   public void setSize(int size)
   {
      this.size = size;
   }

   public void setStyle(int style)
   {
      this.style = style;
   }

   public void setColor(int color)
   {
      this.color = color;
   }

   public int getSize()
   {
      return size;
   }

   public int getStyle()
   {
      return style;
   }

   public int getColor()
   {
      return color;
   }

   @Override
   public String toString()
   {
      // three local variables
      final String sizeString, styleString, colorString;

      // use the public interface to get the attributes
      // for an object
      final int size = getSize();
      final int style = getStyle();
      final int color = getColor();

      // determine an appropriate string for the size
      if (size == SMALL) sizeString = "small";
      else if (size == MEDIUM) sizeString = "medium";
      else if (size == LARGE) sizeString = "large";
      else sizeString = "improper"; // should never reach this case!

      // determine an appropriate string for the style
      if (style == BASEBALL) styleString = "baseball";
      else if (style == BEANIE) styleString = "beanie";
      else styleString = "improper"; // should never reach this case!

      // determine an appropriate string for the color
      if (color == WHITE) colorString = "white";
      else if (color == RED) colorString = "red";
      else if (color == BLUE) colorString = "blue";
      else colorString = "improper"; // should never reach this case!

      // return a string that describes an object (notice that the
      // toString() method from the super class is also called)
      return "This is a hat item with\n"
           + "\tsize: " + sizeString + "\n"
           + "\tstyle: " + styleString + "\n"
           + "\tcolor: " + colorString + "\n"
           + super.toString();
   }
}
